Package Details: linvst-bin 4.5.2-1

Git Clone URL: https://aur.archlinux.org/linvst-bin.git (read-only, click to copy)
Package Base: linvst-bin
Description: Linux Windows vst wrapper/bridge
Upstream URL: https://github.com/osxmidi/LinVst
Licenses: GPL
Conflicts: linvst
Submitter: madskjeldgaard
Maintainer: eathtespagheti
Last Packager: eathtespagheti
Votes: 7
Popularity: 0.000238
First Submitted: 2020-09-26 20:21 (UTC)
Last Updated: 2021-11-23 23:44 (UTC)

Latest Comments

1 2 3 Next › Last »

LINCKODE commented on 2022-03-08 17:15 (UTC)

Updated PKGBUILD:

# Maintainer: Kyle Bronsdon <kyle at silksow dot com>
# Contributor: Mads Kjeldgaard <mail@madskjeldgaard.dk>
pkgname=linvst-bin
majorVersion=4.7.1
pkgver="$majorVersion"
pkgrel=1
pkgdesc="Linux Windows vst wrapper/bridge"
arch=('x86_64')
url="https://github.com/osxmidi/LinVst"
license=('GPL')
groups=('pro-audio')
depends=('wine' 'gtk3')
conflicts=('linvst')
optdepends=('jack')
source=("$url/releases/download/$majorVersion/LinVst-$pkgver.zip")
md5sums=('d91e5d2e0ceaa93649b3e055ae425d60')

package() {
    # Shared library
    install -Dm755 "$srcdir/LinVst-$pkgver/linvst.so" "$pkgdir/usr/share/LinVst/linvst.so"

    # Embedded
    install -Dm755 "$srcdir/LinVst-$pkgver/lin-vst-servertrack.exe" "$pkgdir/usr/bin/lin-vst-servertrack.exe"
    install -Dm755 "$srcdir/LinVst-$pkgver/lin-vst-servertrack.exe.so" "$pkgdir/usr/bin/lin-vst-servertrack.exe.so"

    install -Dm755 "$srcdir/LinVst-$pkgver/lin-vst-servertrack32.exe.so" "$pkgdir/usr/bin/lin-vst-servertrack32.exe.so"
    install -Dm755 "$srcdir/LinVst-$pkgver/lin-vst-servertrack32.exe" "$pkgdir/usr/bin/lin-vst-servertrack32.exe"

    # Converter
    install -Dm755 "$srcdir/LinVst-$pkgver/linvstconvert" "$pkgdir/usr/bin/linvstconvert"
}

circled-square commented on 2021-09-26 14:19 (UTC)

running updpkgsums in the PKGBUILD's folder seems to fix the problem.

forquare commented on 2021-08-23 08:48 (UTC)

LinVst 4.5.1 doesn't appear to exist anymore and I believe 4.5.2 is getting fetched, which has a different checksum and is therefor failing the validity check:

==> ERROR: One or more files did not pass the validity check!

Elmario commented on 2021-06-20 14:07 (UTC)

OK: osxmidi changed the filename, so the AUR is working again, nothing left to do here! :)

Elmario commented on 2021-06-19 13:28 (UTC)

Hello! Currently the update/setup doesn't work, because the link has changed:

this does not exist: https://github.com/osxmidi/LinVst/releases/download/4.5/LinVst-4.5-Manjaro.zip

But this does: https://github.com/osxmidi/LinVst/releases/download/4.5/LinVst-4.5.2-Manjaro.zip

madskjeldgaard commented on 2021-03-22 09:18 (UTC)

Yeah thanks for taking over @silksow! I switched to using yabridge myself and no longer have time to maintain the linvst packages but very cool to see others pick it up.

Nocifer commented on 2021-03-22 09:16 (UTC)

Hello @silksow, I see that you've claimed maintainership of this package along with linvstmanager-git. Seeing as @madskjeldgaard has apparently also orphaned the rest of the linvst packages (linvst3-bin, linvst-x-bin & linvst3-x-bin), would you consider becoming their maintainer as well?

Btw, in this latest release there is a small disparity between the PKGBUILD (where the version is reported as 4.0) and .SRCINFO (where it's reported as 4.0.0).

vlas commented on 2021-03-07 16:36 (UTC) (edited on 2021-03-07 16:50 (UTC) by vlas)

@slavikator I see your issue on GitHub, thanks to you for your advice to downgrade to 6.2.

slavikator commented on 2021-03-04 14:54 (UTC)

Had to downgrade wine from 6.3 to 6.2 to get it to work.